Page MenuHomePhabricator

Initial setup of watchlist to use new UI
Closed, ResolvedPublic

Description

This only covers the minimal setup to get the new UI working on watchlist. The full set of MVP features (including new filters like T171127) is T164234: Provide "RC Filters" functionality on the watchlist.

The current UI is already generated from the same structured data about filters.

This task includes things like moving parts of SpecialRecentchanges->execute to ChangesListSpecialPage to be reusable.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)

Change 372187 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] [WIP] Enable RCFilters app on Watchlist

https://gerrit.wikimedia.org/r/372187

SBisson added a comment.EditedAug 16 2017, 8:43 PM

From the Watchlist options (the legacy form with show/hide controls) the only thing remaining after the application loads is some kind of summary message. It reads like this: Below are the last 243 changes in the last 336 hours, as of 16 August 2017, 20:40.

Do we want to keep it? I haven't seen it in the mockups.
Pinging @jmatazzoni and @Pginer-WMF

In T171132#3529085, @SBisson wrote:

From the Watchlist options (the legacy form with show/hide controls) the only thing remaining after the application loads is some kind of summary message. It reads like this: Below are the last 243 changes in the last 336 hours, as of 16 August 2017, 20:40.
Do we want to keep it? I haven't seen it in the mockups.

Hi Stephane. I think that is covered in this ticket, where it has been slightly rephrased and integrated with another element, if I recall: T172030

In T171132#3529085, @SBisson wrote:

From the Watchlist options (the legacy form with show/hide controls) the only thing remaining after the application loads is some kind of summary message. It reads like this: Below are the last 243 changes in the last 336 hours, as of 16 August 2017, 20:40.
Do we want to keep it? I haven't seen it in the mockups.

Hi Stephane. I think that is covered in this ticket, where it has been slightly rephrased and integrated with another element, if I recall: T172030

T172030 mentions a message but it's not the one I'm asking about. In the screenshot below, I'm referring to the message labelled with B.

The message B provides three pieces of information:

  • Number of changes ("the last change" becomes "12 changes" if you have a dozen of changes).
  • Time period ("72 hours"), which is redundant with the time selector ("3 days").
  • The timestamp indicating the moment where the page was loaded, but it does not seem of much help considering that each result comes with its own time and date.

From those, the "number of changes" seems the only one providing some useful context. Given that changes will be in a beta feature, I'd consider removing the text in the current form and reconsider later if a proper counter is needed. In such case, we can consider whether to integrate the information with "Message A" ("27 pages in your watchlist with 12 changes") and whether is is better to indicate all changes and/or the unvisited ones.

If you're working up the elements contained in T172030, please read the text carefully, as it does not match the mockup. E.g., after consulting with Matt, we decided there is no need to say "not separately counting talk pages."

Just a FYI, the 'Live Update' and 'View newest changes' features are OFF for Watchlist since they rely on a from parameter that exist in RC but not WL. I don't see any technical limitations to adding it if we think it's useful. A separate ticket would be more convenient here.

In T171132#3531072, @Pginer-WMF wrote:

I'd consider removing the text in the current form and reconsider later if a proper counter is needed.

Agreed. Drop it.

Change 372187 merged by jenkins-bot:
[mediawiki/core@master] Enable RCFilters app on Watchlist

https://gerrit.wikimedia.org/r/372187

Change 373064 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] WLFilters: avoid querying the DB when filters are in conflict

https://gerrit.wikimedia.org/r/373064

Change 373064 merged by jenkins-bot:
[mediawiki/core@master] WLFilters: avoid querying the DB when filters are in conflict

https://gerrit.wikimedia.org/r/373064

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 5:24 PM

Checked in betalabs (via rcfilters=1). The functionality and UI of the integrated filters on Watchlist looks in sync with the specs (and with how RC filters look and funciton).
The implemented filters on Watchlist page look as below:

Notes:
(1) from @Pginer-WMF

the "number of changes" seems the only one providing some useful context. Given that changes will be in a beta feature, I'd consider removing the text in >the current form and reconsider later if a proper counter is needed.

I do not think that we need to drop any useful information unnecessarily. The "number of changes" gives a user a good estimate of what has happened to the pages he is interested to watch.

(2) There is a link "Display watched changes" (<span class="mw-watchlist-toollinks">(<a href="/wiki/Special:Watchlist" title="Special:Watchlist">Display watched changes</a>&nbsp;) which just displays the Watchlist. Or am I missing the real purpose of it?

(3)
@jmatazzoni

[...] after consulting with Matt, we decided there is no need to say "not separately counting talk pages."

Does it mean that we will count talk pages or just the message? I referring to this message : "You have 1 page on your watchlist (excluding talk pages)."
When you add an article, two pages will be added to the watchlist - the article itself and its Talk page.

QA Recommendation: Product should weigh in

jeblad removed a subscriber: jeblad.Aug 25 2017, 9:33 PM

! In T171132#3554355, @Etonkovidova wrote:

(1) from @Pginer-WMF
...I do not think that we need to drop any useful information unnecessarily. The "number of changes" gives a user a good estimate of what has happened to the pages he is interested to watch.
QA Recommendation: Product should weigh in

I'll respond to your points separately. To answer this, the ticket T172030 defines how and what page-top elements will be integrated in the new UX. I just updated the spec (and made it a blocker), so may have answered your question. Any remaining questions about this should go to that ticket.

In T171132#3554355, @Etonkovidova wrote:

(2) There is a link "Display watched changes" (<span class="mw-watchlist-toollinks">(<a href="/wiki/Special:Watchlist" title="Special:Watchlist">Display watched changes</a>&nbsp;) which just displays the Watchlist. Or am I missing the real purpose of it?
QA Recommendation: Product should weigh in

I don't know what page that link is on. I don't see it in the old ux screenshot below. But I do see "View relevant changes," which is, indeed, what you say--a link to the very page you are already on.


This link has been removed in the new UX. I will, again, refer you to T172030 for more details—and any questions you may have.

In T171132#3554355, @Etonkovidova wrote:

(2) There is a link "Display watched changes" (<span class="mw-watchlist-toollinks">(<a href="/wiki/Special:Watchlist" title="Special:Watchlist">Display watched changes</a>&nbsp;) which just displays the Watchlist. Or am I missing the real purpose of it?
QA Recommendation: Product should weigh in

I don't see that link on the old page in the screenshot below. But I do see a link for "View relevant changes," which does indeed do what you say—link to the very same page you are already on. Not to mention by a name that is quite confusing.


I think the new interface below has handled these issues and would, again, refer you to T172030 for any questions.

jmatazzoni added a comment.EditedAug 25 2017, 11:50 PM

! In T171132#3554355, @Etonkovidova wrote:

(3)
@jmatazzoni

[...] after consulting with Matt, we decided there is no need to say "not separately counting talk pages."

Does it mean that we will count talk pages or just the message? I referring to this message : "You have 1 page on your watchlist (excluding talk pages)."
When you add an article, two pages will be added to the watchlist - the article itself and its Talk page.
QA Recommendation: Product should weigh in

We just had a Hangout thread about this. The old language was very confusing. It said, "You have x pages on your watchlist (excluding talk pages)."

But talk pages ARE included, it's just that they aren't counted. Given that, the new language is superior to the old. It says simply:

  • 336 pages are on your Watchlist.

This is accurate. It does not address the question of whether talk pages are also being followed. I took a few stabs, below, at communicating this. I think my last try is the best. I like the way it phrases talk pages as something you get for free, instead of something that's not included in some way. I'll move this language to T172030

  • 336 pages are on your Watchlist (with associated talk pages)
  • 336 pages are on your Watchlist (talk pages included, but not counted)
  • 336 pages are on your Watchlist (talk pages are followed, but not counted)
  • 336 pages are on your Watchlist (plus talk pages)
jmatazzoni closed this task as Resolved.Aug 25 2017, 11:55 PM

And with that last post, I think I've addressed Elena's concerns. So I'm closing this ticket.